
-- USER ACTIVITY (XEP-0108)

-- library

local pep    = require 'pep'

-- public

local F = { }

function F.publish ( conn, success, fail, general, specific, message )
	local item = { xmlns = 'http://jabber.org/protocol/activity' }
	if general then
		item[general] = { }
		if specific then
			item[general][specific] = { }
		end
	end
	if message then
		item.text = { message }
	end
	pep.publish ( conn, 'http://jabber.org/protocol/activity', { activity = item }, success, fail )
end

return F

-- vim: se ts=4: --
