
-- USER LOCATION (XEP-0080)

-- library

local pep = require 'pep'

-- public

local F = { }

function F.publish ( conn, success, fail, data )
	local sdata = { xmlns = 'http://jabber.org/protocol/geoloc' }
	if data then
		for key, value in pairs ( data ) do
			sdata[key] = { value }
		end
	end
	pep.publish ( conn, 'http://jabber.org/protocol/geoloc', { geoloc = sdata }, success, fail )
end

return F

-- vim: se ts=4: --
