
-- PERSONAL EVENTING PROTOCOL (XEP-0163)

-- library

local lm = require 'lm'
local iq = require 'iq'

--

local F = { }

function F.publish ( conn, node, item, success, fail )
--	local bjid = conn:jid():gsub ( '/.*', '' )
--	item.id = 'current'
	iq.send ( conn, nil, 'set',
		{
			pubsub = { xmlns = 'http://jabber.org/protocol/pubsub',
				publish = { node = node,
					item = item,
				},
			},
--[[
			configure = {
				x = {
					field = {{ type = "hidden", var = 'FORM_TYPE',
						value = { 'http://jabber.org/protocol/pubsub#node_config' },
					},{ var = "pubsub#access_model",
						value = { 'presence' },
					}},
				},
			},
--]]
		}, success, fail )
end

return F

-- vim: se ts=4: --
